import { type DiagnosticSeverity, type LogEntry } from './logger';
export declare class LogCache {
    private logCacheMaxSize;
    private logs;
    constructor(maxCacheSize?: number);
    insertLogMessage(message: string, severity: DiagnosticSeverity): void;
    removeOldestLogsIfSizeExceeded(): void;
    getLogMessages(): string[];
    getLogs(): readonly LogEntry[];
    clearLogs(): void;
}
