import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, BinaryFile, type ExecutionContext, type FileSystem } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class FilePickerExecutor extends AbstractBlockExecutor<IOType.FILE_SYSTEM, IOType.FILE> {
    static readonly type = "FilePicker";
    constructor();
    doExecute(fileSystem: FileSystem, context: ExecutionContext): Promise<R.Result<BinaryFile | null>>;
}
