import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type BinaryFile, type ExecutionContext, Sheet } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class GtfsRTInterpreterExecutor extends AbstractBlockExecutor<IOType.FILE, IOType.SHEET> {
    static readonly type = "GtfsRTInterpreter";
    constructor();
    doExecute(inputFile: BinaryFile, context: ExecutionContext): Promise<R.Result<Sheet>>;
    private getErrorMessage;
    private parseFeedMessage;
    private parseTripUpdates;
    private parseVehiclePositions;
    private parseAlerts;
}
