import { type ValuetypeAssignment } from '../generated/ast';
import { type InternalValueRepresentation, type InternalValueRepresentationTypeguard } from './internal-value-representation';
export declare const INTERNAL_VALUE_REPRESENTATION_TYPEGUARD: InternalValueRepresentationTypeguard<InternalValueRepresentation>;
export declare const NUMBER_TYPEGUARD: InternalValueRepresentationTypeguard<number>;
export declare const BOOLEAN_TYPEGUARD: InternalValueRepresentationTypeguard<boolean>;
export declare const STRING_TYPEGUARD: InternalValueRepresentationTypeguard<string>;
export declare const REGEXP_TYPEGUARD: InternalValueRepresentationTypeguard<RegExp>;
export declare const VALUETYPEASSIGNMENT_TYPEGUARD: InternalValueRepresentationTypeguard<ValuetypeAssignment>;
export declare function isEveryValueDefined<T>(array: (T | undefined)[]): array is T[];
