export declare const LAST_INDEX: number;
export declare class CellIndex {
    readonly columnIndex: number;
    readonly rowIndex: number;
    constructor(columnIndex: number, rowIndex: number);
    toString(): string;
    hasRelativeIndexes(): boolean;
    resolveRelativeIndexes(bounds: CellIndexBounds): CellIndex;
    isInBounds(bounds: CellIndexBounds): boolean;
    private isIndexInBounds;
}
export declare function columnIndexToString(columnIndex: number): string;
export declare function rowIndexToString(rowIndex: number): string;
export interface CellIndexBounds {
    lastColumnIndex: number;
    lastRowIndex: number;
}
