import { CellRangeWrapper, type CellWrapper, type ColumnWrapper, type RowWrapper } from '../cell-range-wrapper';
import { type CellIndex } from './cell-index';
export declare function isCellRangeWrapper(obj: unknown): obj is CellRangeWrapper;
export declare function isColumnWrapper(cellRange: CellRangeWrapper): cellRange is ColumnWrapper;
export declare function getColumnIndex(column: ColumnWrapper): number;
export declare function isRowWrapper(cellRange: CellRangeWrapper): cellRange is RowWrapper;
export declare function getRowIndex(row: RowWrapper): number;
export declare function isCellWrapper(cellRange: CellRangeWrapper): cellRange is CellWrapper;
export declare function getCellIndex(cell: CellWrapper): CellIndex;
