import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class TextValuetype extends PrimitiveValueType<string> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'text';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is string;
    isReferenceableByUser(): boolean;
    getUserDoc(): string;
    fromString(s: string): string;
}
