import { type AstNode, type CstNode } from 'langium';
import { AbstractFormatter, type FormattingAction, type FormattingContext } from 'langium/lsp';
import { type TextEdit } from 'vscode-languageserver-protocol';
export declare class JayveeFormatter extends AbstractFormatter {
    protected format(node: AstNode): void;
    private formatParenthesis;
    /**
     * Overwrite to work around this issue:
     * https://github.com/eclipse-langium/langium/issues/1351
     */
    protected createHiddenTextEdits(previous: CstNode | undefined, hidden: CstNode, formatting: FormattingAction | undefined, context: FormattingContext): TextEdit[];
}
