import { type BlockDefinition, type CompositeBlockTypeDefinition, IOType } from '@jvalue/jayvee-language-server';
import { type BlockExecutor } from './block-executor';
import { type BlockExecutorClass } from './block-executor-class';
export declare function createCompositeBlockExecutor(inputType: IOType, outputType: IOType, block: BlockDefinition): BlockExecutorClass<BlockExecutor<IOType, IOType>>;
export declare function getInputType(block: CompositeBlockTypeDefinition): IOType;
export declare function getOutputType(block: CompositeBlockTypeDefinition): IOType;
