import { type BlockDefinition } from '@jvalue/jayvee-language-server';
import { type BlockExecutor } from './blocks';
import { type BlockExecutorClass } from './blocks/block-executor-class';
export declare abstract class JayveeExecExtension {
    abstract getBlockExecutors(): BlockExecutorClass[];
    getExecutorForBlockType(blockTypeName: string): BlockExecutorClass | undefined;
    createBlockExecutor(block: BlockDefinition): BlockExecutor;
}
