import { type ValidationContext } from '../../../validation/validation-context';
import { type BinaryExpression } from '../../generated/ast';
import { type ValueType, type ValueTypeProvider } from '../../wrappers/value-type';
import { type BinaryOperatorTypeComputer } from '../operator-type-computer';
export declare class EqualityOperatorTypeComputer implements BinaryOperatorTypeComputer {
    protected readonly valueTypeProvider: ValueTypeProvider;
    private readonly ALLOWED_OPERAND_TYPES;
    constructor(valueTypeProvider: ValueTypeProvider);
    computeType(leftOperandType: ValueType, rightOperandType: ValueType, expression: BinaryExpression, context: ValidationContext | undefined): ValueType | undefined;
}
