import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class RegexValuetype extends PrimitiveValueType<RegExp> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'Regex';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is RegExp;
}
