import { DefaultScopeProvider, DocumentCache, type LangiumDocuments, type ReferenceInfo, type Scope } from 'langium';
import { type ExportDetails } from '../ast';
import { type JayveeServices } from '../jayvee-module';
import { type JayveeImportResolver } from '../services/import-resolver';
export declare class JayveeScopeProvider extends DefaultScopeProvider {
    protected readonly langiumDocuments: LangiumDocuments;
    protected readonly importResolver: JayveeImportResolver;
    protected readonly availableElementsPerDocumentCache: DocumentCache<string, ExportDetails[]>;
    constructor(services: JayveeServices);
    protected getGlobalScope(referenceType: string, context: ReferenceInfo): Scope;
}
